# H245NegRequestMode Class Reference

`#include <h323neg.h>`

Inheritance diagram for H245NegRequestMode:

[legend]
Collaboration diagram for H245NegRequestMode:
[legend]

## Public Member Functions

| H245NegRequestMode (H323EndPoint &endpoint, H323Connection &connection)
virtual PBoolean | StartRequest (const PString &newModes)
virtual PBoolean | StartRequest (const H245_ArrayOf_ModeDescription &newModes)
virtual PBoolean | HandleRequest (const H245_RequestMode &pdu)
virtual PBoolean | HandleAck (const H245_RequestModeAck &pdu)
virtual PBoolean | HandleReject (const H245_RequestModeReject &pdu)
virtual PBoolean | HandleRelease (const H245_RequestModeRelease &pdu)
virtual void | HandleTimeout ()

## Protected Attributes

PBoolean | awaitingResponse
unsigned | inSequenceNumber
unsigned | outSequenceNumber

## Detailed Description

Request mode change as per H245 section 8.9

## Constructor & Destructor Documentation

H245NegRequestMode::H245NegRequestMode | ( | H323EndPoint & | endpoint,
|  | H323Connection & | connection |
| ) |  |  |

## Member Function Documentation

virtual PBoolean H245NegRequestMode::HandleAck | ( | const H245_RequestModeAck & | pdu | ) | `[virtual]`

virtual PBoolean H245NegRequestMode::HandleReject | ( | const H245_RequestModeReject & | pdu | ) | `[virtual]`

virtual PBoolean H245NegRequestMode::HandleRelease | ( | const H245_RequestModeRelease & | pdu | ) | `[virtual]`

virtual PBoolean H245NegRequestMode::HandleRequest | ( | const H245_RequestMode & | pdu | ) | `[virtual]`

virtual void H245NegRequestMode::HandleTimeout | ( |  | ) | `[virtual]`

Reimplemented from H245Negotiator.

virtual PBoolean H245NegRequestMode::StartRequest | ( | const H245_ArrayOf_ModeDescription & | newModes | ) | `[virtual]`

virtual PBoolean H245NegRequestMode::StartRequest | ( | const PString & | newModes | ) | `[virtual]`

## Field Documentation

PBoolean H245NegRequestMode::awaitingResponse `[protected]`

unsigned H245NegRequestMode::inSequenceNumber `[protected]`

unsigned H245NegRequestMode::outSequenceNumber `[protected]`

The documentation for this class was generated from the following file:

- h323neg.h